# Intel® Enhanced Privacy ID SDK: epid/common/grouppubkey.h File Reference

grouppubkey.h File Reference

Group public key interface. More...

`#include "epid/common/errors.h"`
`#include "epid/common/math/ecgroup.h"`
`#include "epid/common/types.h"`

## Data Structures

struct | GroupPubKey_
| Internal representation of GroupPubKey. More...

## Functions

EpidStatus | CreateGroupPubKey (GroupPubKey const *pub_key_str, EcGroup *G1, EcGroup *G2, GroupPubKey_ **pub_key)
| Constructs internal representation of GroupPubKey. More...
void | DeleteGroupPubKey (GroupPubKey_ **pub_key)
| Deallocates storage for internal representation of GroupPubKey. More...

## Detailed Description

Group public key interface.